Рад был помочь :)

тоящее время я клонировал проект. У меня PHP 7 на 64-битной Ubuntu 14.04.

Библиотека ImageMagick устанавливается с помощью следующей команды

sudo apt-get install php-imagick

Но когда я пытаюсь манипулировать изображением через эту библиотеку, она выдает следующее исключение

(1/1) NotSupportedException
ImageMagick module not available with this PHP installation.

Как я могу установить это программное обеспечение с последней версией PHP?

Примечание: Я использую Laravel 5.4 в этом проекте.

Ответы на вопрос(1)

Решение Вопроса

extension=imagick.so в вашейphp.ini файл.

Место нахождения:

Вы можете сделать что-то вроде этого для самого быстрого пути:

php -i | grep 'php.ini'

Результат таков:

Loaded Configuration File => /usr/local/lib/php.ini

Или позвоните по телефону<?php phpinfo(); ?> из некоторого php-файла, чтобы получить эту информацию :)

PS:Источник

 Muhammad Sipra19 окт. 2017 г., 09:47
Спасибо, мужик, теперь все отлично
 Maraboc19 окт. 2017 г., 09:44
Под расширениями, которые у вас уже есть, только внизу;)
 Maraboc19 окт. 2017 г., 09:47
Рад был помочь :)
 Muhammad Sipra19 окт. 2017 г., 09:43
где я должен добавить расширение = imagick.so в php.ini? В этом файле много конфигураций

Ваш ответ на вопрос